Subject: Re: A question concerning your draft

From: Weibin Zhao <[email-masked]>
Date: Tue, 16 May 2000 13:00:24 -0400 (EDT)

Hi,

I think that how to choose DA from the peering DA set is implementation
dependent. You have a variety of choices for doing this.
The simplest way is to choose randomly. Another simple method is to
choose the first DA that was found. Other conditions can be used for the
selection also, for example, the nearest DA, the most lightly loaded DA.
The choice only affects performance.

-Weibin

On Tue, 16 May 2000, [ISO-2022-JP] 陳 迪聖  wrote:

> Hi, I'm a student in the University of Tokyo, Japan.
> 
> I'm now doing research concerning service discovery. I've read your
> draft and I feel that it is very interesting. 
> 
> The current SLP do really lack of scalability as the DAs don't interact
> among themselves.
> 
> However I've a question concerning your recent draft
> (draft-zhao-slp-da-interaction-03.txt). 
> 
> In the draft, you state that
> 
> 'when a newly booted DA joins a peering DA set of three DAs, it needs to
> get a copy of the existing registration data from one of the three DAs,
> but not from all of them....'. 
> 
> How do you determine that which DA in the peering DA set should the
> newly booted DA requires? Do you apply any algorithm in this process of
> selection or I do miss something in it?
> 
> I'll be glad if you can answer my question. 
> 
> Thanks in advance.
> 
> 
> ------------------------------------------------
> Tit Sheng TAN
> Master Degree 1st year
> Aoyama & Morikawa Laboratory
> Department of Information & Communication
> School of Engineering
> The University of Tokyo
> 7-3-1 Hongo,
> Bunkyo-ku,
> Tokyo 113-8656,
> Japan.
> Email:  [email-masked]
> Phone:  +81-03-5841-6710
> Fax:    +81-03-5841-6776
> ------------------------------------------------ 
>